# Tips and Tricks

This section provides tips and tricks to help you work efficiently with the API. For example, learn how to copy and update field values, create and rename samples, work with files and QC flags, and automate BCL conversion.

* [Accessing Step UDFs from a different Step](/api-and-database/api-docs/tips-and-tricks/accessing-step-udfs-from-a-different-step.md)
* [Obfuscating Sensitive Data in Scripts](/api-and-database/api-docs/tips-and-tricks/obfuscating-sensitive-data-in-scripts.md)
* [Integrating Clarity LIMS with Upstream Sample Accessioning Systems](/api-and-database/api-docs/tips-and-tricks/integrating-clarity-lims-with-upstream-sample-accessioning-systems.md)
* [Creating Samples and Projects via the API](/api-and-database/api-docs/tips-and-tricks/creating-samples-and-projects-via-the-api.md)
* [Displaying Files From an Earlier Step](/api-and-database/api-docs/tips-and-tricks/displaying-files-from-an-earlier-step.md)
* [Transitioning Output Artifacts into the Next Step](/api-and-database/api-docs/tips-and-tricks/transitioning-output-artifacts-into-the-next-step.md)
* [Determining the Workflow(s) to Which a Sample is Assigned](/api-and-database/api-docs/tips-and-tricks/determining-the-workflow-s-to-which-a-sample-is-assigned.md)
* [Standardizing Sample Naming via the API](/api-and-database/api-docs/tips-and-tricks/standardizing-sample-naming-via-the-api.md)
* [Copying UDF Values from Source to Destination](/api-and-database/api-docs/tips-and-tricks/copying-udf-values-from-source-to-destination.md)
* [Updating Preset Value of a Step UDF through API](/api-and-database/api-docs/tips-and-tricks/updating-preset-value-of-a-step-udf-through-api.md)
* [Automating BCL Conversion](/api-and-database/api-docs/tips-and-tricks/automating-bcl-conversion.md)
* [Finding QC Flags in Aggregate QC (Library Validation) via REST API](/api-and-database/api-docs/tips-and-tricks/finding-qc-flags-in-aggregate-qc-library-validation-via-rest-api.md)
* [Setting the Value of a QC Flag on an Artifact](/api-and-database/api-docs/tips-and-tricks/setting-the-value-of-a-qc-flag-on-an-artifact.md)
* [Creating Notifications When Files are Added via LabLink](/api-and-database/api-docs/tips-and-tricks/creating-notifications-when-files-are-added-via-lablink.md)
* [Remote HTTP Filestore Setup](/api-and-database/api-docs/tips-and-tricks/remote-http-filestore-setup.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.claritylims.illumina.com/api-and-database/api-docs/tips-and-tricks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
